Bug 1480281 - [RFE] href not returned when ordering service from the service_templates subcollection
[RFE] href not returned when ordering service from the service_templates subc...
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity medium
: GA
: 5.9.0
Assigned To: Jillian Tullo
Martin Kourim
api:rest:services
: FutureFeature, RFE
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 11:10 EDT by Martin Kourim
Modified: 2017-10-19 10:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.9.0.2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kourim 2017-08-10 11:10:34 EDT
Description of problem:
When service is ordered from service catalog using the request on the service_templates subcollection, the data returned in response corresponds to the service_requests collection. However since no "href" is returned, it's hard to figure out that the response doesn't correspond to the originating subcollection (i.e. service_templates).

When the request is made on a resource under the service_templates subcollection, the correct "href" is returned.


Version-Release number of selected component (if applicable):
5.8.1.5


How reproducible:
very


Steps to Reproduce:
Order catalog item from the service_templates subcollection:

POST /api/service_catalogs/62/service_templates
{
  "action": "order",
  "resources": [{
    "href": "https://<address>/api/service_catalogs/:catalog_id/service_templates/:template_id"
  }]
}

Response:
{
    "results": [
        {
            "id": 27,
            "description": "Provisioning Service [item_4D2Nq] from [item_4D2Nq]",
...
<= no "href" is present - it should point to "https://<address>/api/service_requests/27", otherwise it's difficult to find out what resource does the id belongs to.

Compared to:
POST /api/service_catalogs/62/service_templates/:template_id
{ "action": "order" }

Response:
{
    "href": "https://<address>/api/service_requests/28",
    "id": 28,
    "description": "Provisioning Service [item_4D2Nq] from [item_4D2Nq]",
...
<= here the "href" is present
Comment 2 Jillian Tullo 2017-10-04 15:16:46 EDT
https://github.com/ManageIQ/manageiq-api/pull/104
Comment 3 Martin Kourim 2017-10-19 10:20:40 EDT
Verified that href is returned when ordering service from the service_templates subcollection.

Note You need to log in before you can comment on or make changes to this bug.